Bug 458568 - NFS install mounting directory with iso file doesn't work.
NFS install mounting directory with iso file doesn't work.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 22:03 EDT by Jerry Williams
Modified: 2008-08-11 10:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-11 10:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: fedora_requires_release_note?


Attachments (Terms of Use)

  None (edit)
Description Jerry Williams 2008-08-09 22:03:00 EDT
Description of problem: When you use PXE boot and use method=nfs:server:/path it only appears to look for an images directory and not for a .iso file.


Version-Release number of selected component (if applicable):
Fedora 10 Alpha


How reproducible: Always


Steps to Reproduce:
1. PXE boot
2. add method=nfs:server:/path to command line
3. English
4. us
5. Configure TCP/IP, OK
6. Error, That directory could not be mounted from the server.
7. Lists server name and /patch/images/stage2.img
  
Actual results:
Error, That directory could not be mounted from the server.
Lists server name and /patch/images/stage2.img

Expected results:
Should just mount /path/Fedora-10-Alpha-i386-DVD.iso and boot.
And if it can't find it is shouldn't list /path/images/stage2.img.
It should only list /path.

Additional info:

I ran tcpdump and it doesn't look like it even tries to find the .iso file.
I only see it look for the images directory.
Comment 1 Chris Lumens 2008-08-10 10:08:24 EDT
You need to use method=nfsiso:server:/path now.  This is probably worth documenting in the release notes.
Comment 2 Jason Taylor 2008-08-10 15:56:44 EDT
(In reply to comment #1)
> You need to use method=nfsiso:server:/path now.  This is probably worth
> documenting in the release notes.

This has been done.

Note You need to log in before you can comment on or make changes to this bug.